<div style="margin-top: 20px;">
    <h5>
        <span>BAST - BPKB - BEGBAL - Internal</span>
    </h5> 
    <p-tabView>
    <p-tabPanel header="INPUT PENERIMAAN BPKB">
        <form name="editForm" role="form" #editForm="ngForm">
            <div class="row">
                <!-- <p-autoComplete [(ngModel)]="vehicleDocumentRequirementbegbalupdate.idframe" [suggestions]="nomorRangka" (completeMethod)="nomorRangka($event)" [size]="30" [minLength]="1"
                    placeholder="Hint: type 'v' or 'f'" [dropdown]="true">
                    <ng-template let-brand pTemplate="item">
                        <div class="ui-helper-clearfix" style="border-bottom:1px solid #D5D5D5">
                            <div style="font-size:18px;float:right;margin:10px 10px 0 0">{{nomorrangka}}</div>
                        </div>
                    </ng-template>
                </p-autoComplete> -->
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label">No. Rangka</label>
                        <input class="form-control" type="text" name="idFrame"
                         [(ngModel)]="vehicleDocumentRequirementbegbalupdate.idframe"  required>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label">No. Mesin</label>
                        <input class="form-control" type="text" name="idMachine"  
                         [(ngModel)]="vehicleDocumentRequirementbegbalupdate.idmachine" required>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label">No. Polisi</label>
                        <input class="form-control" type="text" name="policenumber" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.policenumber">
                    </div>
                        <div class="form-group">
                            <label class="form-control-label">Biro Jasa</label>
                            <input class="form-control" type="text" name="idvendor2" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.idvendor2">
                        </div>
                    <div class="form-group">
                        <button type="button" class="btn btn-primary" (click)="checkNoka(vehicleDocumentRequirementbegbalupdate.idframe)">
                            <span>CHECK</span>
                        </button>
                    </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label">Input No. BPKB</label>
                            <input class="form-control" type="text" name="noBPKB" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.bpkbnumber" required>
                        </div>
                    </div>
                </div>
            <!-- </div> -->
            <div class="row">
                <div class="col-md-12">
                    <div class="pull-right">
                        <button type="submit" class="btn btn-primary" (click)="simpan(vehicleDocumentRequirementbegbalupdate.idframe, vehicleDocumentRequirementbegbalupdate.idmachine,vehicleDocumentRequirementbegbalupdate.policenumber,
                         vehicleDocumentRequirementbegbalupdate.bpkbnumber)"><span>Simpan</span></button>
                    </div>
                </div>
            </div>
        </form>
        <br>
        <br>
        <label><h2>LIST BPKB BELUM JADI</h2></label>
        <p-dataTable [value]="vehicleDocumentRequirementBelumJadi" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
            datakey="idreq" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true">
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.idframe'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idframe}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.idmachine'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idmachine}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.policenumber'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.policenumber}}
                </ng-template>
            </p-column>
            <p-column header="Atas Nama">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.personOwner}}
                </ng-template>
            </p-column>
        </p-dataTable>
    </p-tabPanel>
    <p-tabPanel header="BPKB ON HAND">
            <p-header>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <button pButton type="button"                     
                                label="Reload"
                                class="ui-button-Primary flat-label-button btn-block"
                                (click)="loadAll()"
                            ></button>
                        </div>
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                name="currentSearch" placeholder="Find Data Bast">
                            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                    </form>
    </p-header>
    <hr>
    <hr>
    <p-dataTable 
    [value]="vehicleDocumentRequirementbegbal" 
    [editable]="true" 
    [rows]="itemsPerPage" 
    [paginator]="true" 
    [pageLinks]="5"
    datakey="idreq" 
    [rowsPerPageOptions]="[10,15,20]" 
    [totalRecords]="totalItems" 
    [responsive]="true"
    [(selection)]="selected"> 
    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.bastnumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.bastnumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.tanggalbast'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtdelivery}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.idframe'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idframe}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.idmachine'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idmachine}}
            </ng-template>
        </p-column>
        <p-column header="Tipe Pembayaran">
            <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.tipePembayaran == 'Cash'">
                    {{rowData.tipePembayaran}}
                    </div>
                    <div *ngIf="rowData.tipePembayaran == 'Credit'">
                    {{rowData.leasingname}}
                    </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.policenumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.policenumber}}
            </ng-template>
        </p-column>
        <p-column header="Nama BPKB">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.personOwner}}
            </ng-template>
        </p-column>
        <p-column header="Nomor BPKB">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.bpkbnumber}}
            </ng-template>
        </p-column>
    </p-dataTable>
    <div class="btn-filter-wrapper pull-right">
        <button type="submit" (click)="showPrint()" class="btn btn-primary btn-filter">
            <span>Print</span>
        </button>
    </div>
    </p-tabPanel>
    <p-tabPanel header="BPKB SUDAH DIAMBIL">
            <p-dataTable
             [value]="vehicleDocumentRequirementSudahDiambil" 
             [editable]="true" 
             [rows]="itemsPerPage" 
             [paginator]="true" 
             [pageLinks]="5"
             datakey="idreq" 
             [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true">
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.bastnumber'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.bastnumber}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.tanggalbast'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dtdelivery}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.idframe'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idframe}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.idmachine'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idmachine}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.policenumber'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.policenumber}}
                    </ng-template>
                </p-column>
                <p-column header="Nama BPKB">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.personOwner}}
                    </ng-template>
                </p-column>
                <p-column header="BPKB">
                    <!-- <ng-template let-rowData="rowData" pTemplate="body">
            				{{rowData.stnk | date:'dd-MM-yyyy'}}
            			</ng-template> -->
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.iscompleted == null">
                            <label [style]="{'text-align': 'center'}">V</label>
                        </div>
                        <div *ngIf="rowData.iscompleted != null">
                            {{rowData.dtdelivery | date:'dd-MM-yyyy'}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="Nomor BPKB">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.bpkbnumber}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="{{'mpmApp.vehicleSalesBilling.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            <button pButton type="submit" (click)="PrintUlang(rowData.idframe)" icon="fa-print" class="flat-button">
                            </button>
                        </div>
                    </ng-template>
                </p-column> -->
            </p-dataTable>
            <div class="btn-filter-wrapper pull-right">
                <button type="submit" (click)="showPrintUlangBpkb()" class="btn btn-primary btn-filter">
                    <span>Print Ulang</span>
                </button>
            </div>
    </p-tabPanel>
    </p-tabView>
<p-dialog header="BAST BPKB" [(visible)]="popUpPrint" modal="true" [width]="700" (onHide) = "closeLeasing()">
    <div class="row">
        <div class="col-sm-12">
            <h5>Diserahkan ke:</h5>
            <br>
            <form name="editForm" role="form" novalidate #editForm="ngForm">
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
                    <select class="form-control" [(ngModel)]="pilihSales" name="pilih_sales">
                        <option [value]="null">Select Salesman</option>
                        <option [value]="sales.fname" *ngFor="let sales of vehicleDocumentRequirementbegbalAmbil">{{sales.fname}}</option>
                    </select>
                </div> -->
                <div class="col-sm-12" *ngIf = "isCredit === true"><label>BAST Leasing</label></div>
                <div class="col-sm-12" *ngIf = "isCredit === true">
                    <label class="form-control-label ui-g-6">Nama Pengambil*</label>
                    <label class="form-control-label ui-g-6">
                        <input type="text" class="form-control" name="name_leasing" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.namaLeasing" required />
                    </label>
                </div>
                <div class="col-sm-12" *ngIf = "isCredit === true">
                    <label class="form-control-label ui-g-6">Nomor Tanda Pengenal*</label>
                    <label class="form-control-label ui-g-6">
                        <input type="text" class="form-control" name="ktp_leasing" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.ktpleasing"
                            required />
                    </label>
                </div>
                <div class="btn-filter-wrapper pull-right" *ngIf = "isCredit === true">
                    <button type="submit" (click)="updatePrintLeasingArray()"
                        class="btn btn-primary btn-filter">
                        <span>Print Bast To Leasing</span>
                    </button>
                </div>
                &nbsp;&nbsp;&nbsp;
                <div class="btn-filter-wrapper pull-left" *ngIf = "isCredit === true">
                    <button type="submit" (click)="closeLeasing()"
                        class="btn btn-primary btn-filter">
                        <span>Close </span>
                    </button>
                </div>
                <br>
                <br>
                <br>
                <div class="col-sm-12" *ngIf = "isCash === true"><label>BAST Customer</label></div>
                <div class="col-sm-12" *ngIf = "isCredit !== true">
                    <label class="form-control-label ui-g-6">Nama Pengambil*</label>
                    <label class="form-control-label ui-g-6">
                        <input type="text" class="form-control" name="name" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.name" required />
                    </label>
                </div>
                <div class="col-sm-12" *ngIf = "isCash === true">
                    <label class="form-control-label ui-g-6">Nomor Tanda Pengenal*</label>
                    <label class="form-control-label ui-g-6">
                        <input type="text" class="form-control" name="ktp" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.identitynumber" required
                        />
                    </label>
                </div>
                <div class="col-sm-12" *ngIf = "isCash === true">
                    <label class="form-control-label ui-g-6">Nomor Handphone*</label>
                    <label class="form-control-label ui-g-6">
                        <input type="text" class="form-control" name="no_hp" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.cellphone" required
                        />
                    </label>
                </div>
                <div class="btn-filter-wrapper pull-right" *ngIf = "isCash === true">
                    <button type="submit" (click)="updatePrint(vehicleDocumentRequirementbegbalupdate.name,vehicleDocumentRequirementbegbalupdate.identitynumber,
                    vehicleDocumentRequirementbegbalupdate.cellphone)"
                        class="btn btn-primary btn-filter">
                        <span>Print Bast To Customer</span>
                    </button>
                </div>
                &nbsp;&nbsp;&nbsp;
                <div class="btn-filter-wrapper pull-left" *ngIf = "isCash === true">
                    <button type="submit" (click)="closeLeasing()"
                        class="btn btn-primary btn-filter">
                        <span>Close </span>
                    </button>
                </div>
            </form>
        </div>
    </div>
</p-dialog>
<p-dialog header="Print Ulang Bast" [(visible)]="printUlangBpkb" modal="true" [width]="500" [height]="250">
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label">Bast Number :</label>
                <select class="form-control" name="refference" [(ngModel)]="pilihBast">
                    <option [ngValue]="null">Pilih Bast Number</option>
                    <option [ngValue]="bastnumber1.bastnumber" *ngFor="let bastnumber1 of noBast">{{bastnumber1.bastnumber}}</option>
                </select>
            </div>
            <div class="col-md-12" style="margin-top:10px">
            <button type="button" (click)="cariNomorBast()" style="margin-left:10px" class="btn btn-danger pull-right">
            Print</button>
            </div>
        </div>
    </div>
</p-dialog>
